Summary: Advanced Linux Sound Architecture (ALSA) - Utils
Name: alsa-utils

%global momorel 1
#%%define ALSArcver 2
Version: 1.0.5
%global dri_ver %{version}a

#Release: 0.%{ALSArcver}.%{momorel}m
Release: %{momorel}m
License: GPL
Group: Applications/Multimedia
URL: http://www.alsa-project.org/

%NoSource 0 ftp://ftp.alsa-project.org/pub/utils/%{name}-%{version}%{?ALSArcver:rc%{ALSArcver}}.tar.bz2 b8e36e0656853467652ab2708aaa3809

#%%NoSource 1 ftp://ftp.alsa-project.org/pub/driver/alsa-driver-%{version}.tar.bz2 
%NoSource 1 ftp://ftp.alsa-project.org/pub/driver/alsa-driver-%{dri_ver}.tar.bz2 019d190e0499c77c6a4922477ae2f5d4

#%%NoSource 2 ftp://ftp.alsa-project.org/pub/oss-lib/alsa-oss-%{version}%{?ALSArcver:rc%{ALSArcver}}a.tar.bz2  17e7fac2f0882a005549ac4aa9abc615
%NoSource 2 ftp://ftp.alsa-project.org/pub/oss-lib/alsa-oss-%{version}%{?ALSArcver:rc%{ALSArcver}}.tar.bz2  e9ae7cf5790202f7ac4b4f2a59977997

Patch0: alsa-utils-1.0.0rc2-alsaconf-momonga.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: alsa-lib >= %{version}
BuildRequires: autoconf >= 2.58

Obsoletes: alsaconf
Provides: alsaconf = %{version}%{?ALSArcver:rc%{ALSArcver}}
Requires: alsa-lib >= %{version}
Requires: initscripts >= 7.42

%description
Advanced Linux Sound Architecture (ALSA) - Utils

Features
========

* general
  - modularized architecture with support for 2.0 and latest 2.1 kernels
  - support for versioned and exported symbols
  - full proc filesystem support - /proc/sound
* ISA soundcards
  - support for 128k ISA DMA buffer
* mixer
  - new enhanced API for applications
  - support for unlimited number of channels
  - volume can be set in three ways (percentual (0-100), exact and decibel)
  - support for mute (and hardware mute if hardware supports it)
  - support for mixer events
    - this allows two or more applications to be synchronized
* digital audio (PCM)
  - new enhanced API for applications
  - full real duplex support
  - full duplex support for SoundBlaster 16/AWE soundcards
  - digital audio data for playback and record should be read back using
    proc filesystem
* OSS/Lite compatibility
  - full mixer compatibity
  - full PCM (/dev/dsp) compatibility

%prep
%setup -q -a1 -a2 -n %{name}-%{version}%{?ALSArcver:rc%{ALSArcver}}
%patch0 -p1

pushd alsa-oss-%{version}%{?ALSArcver:rc%{ALSArcver}}
touch INSTALL NEWS README AUTHORS ChangeLog
popd

%build
%configure
%make

pushd alsa-oss-%{version}%{?ALSArcver:rc%{ALSArcver}}
libtoolize -c -f
aclocal-1.6
automake-1.6 -c -f
autoconf-2.58
%configure
%make
popd

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_bindir} %{buildroot}%{_mandir}/man1

#make prefix="%{buildroot}/usr" install
%makeinstall
strip `find %{buildroot}/usr/{bin,sbin} | xargs file | grep ELF | awk 'BEGIN {FS=":"}{print $1}'`
%__chmod -x config.status

#%%__install -m 0755 alsa-driver-%{version}%{?ALSArcver:rc%{ALSArcver}}/snddevices %{buildroot}%{_sbindir}
%__install -m 0755 alsa-driver-%{dri_ver}/snddevices %{buildroot}%{_sbindir}

mkdir -p %{buildroot}%{_initscriptdir}
#%%__install -m 0755 alsa-driver-%{version}%{?ALSArcver:rc%{ALSArcver}}/utils/alsasound %{buildroot}%{_initscriptdir}
%__install -m 0755 alsa-driver-%{dri_ver}/utils/alsasound %{buildroot}%{_initscriptdir}

pushd alsa-oss-%{version}%{?ALSArcver:rc%{ALSArcver}}
%makeinstall
popd

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc ChangeLog COPYING README TODO config.status
%{_sbindir}/*
%{_bindir}/*
%{_initscriptdir}/alsasound
%{_libdir}/*
%{_includedir}/*
%{_mandir}/man*/*

%changelog
* Thu Jun 10 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.5-1m)
- update to 1.0.5

* Fri Apr 09 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.4-1m)
- update ALSA to 1.0.4

* Thu Apr  8 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.3-3m)
- add %{_initscriptdir}/alsasound

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0.3-2m)
- revised spec for enabling rpm 4.2.

* Thu Mar 11 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.3-1m)

* Tue Feb 03 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.2-1m)
- update ALSA to 1.0.2

* Wed Jan 21 2004 Kenta MURATA <muraken2@nifty.com>
- (1.0.1-2m)
- BuildRequires: autoconf >= 2.58.

* Fri Jan 16 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.1-1m)

* Fri Dec 19 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.0-0.2.2m)
- revise aoss wrapper script ($* -> "$@")

* Fri Dec 19 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.0-0.2.1m)
- update to 1.0.0rc2
- merge alsaconf
- merge alsa-oss

* Tue Nov 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0.9.8-2m)
- includes snddevices.

* Wed Oct 22 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.8-1m)

* Mon Oct  6 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.9.7-1m)
- update to 0.9.7

* Thu Jul 31 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.6-1m)
- update to 0.9.6
- use %%NoSource

* Mon Jul 14 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.5-1m)
- update to 0.9.5

* Fri Jun 13 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.4-1m)
- update to 0.9.4

* Sun May 25 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.3-1m)
- update to 0.9.3
- update Requires: alsa-lib >= 0.9.3-1m
- update BuildPreReq: alsa-lib >= 0.9.3-1m

* Mon Mar 24 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.2-1m)
- update to 0.9.2
- update Requires: alsa-lib >= 0.9.2-1m
- update BuildPreReq: alsa-lib >= 0.9.2-1m

* Fri Mar 14 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.1-1m)
  update to 0.9.1
  
* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.0-0.8a.1m)
  update to 0.9.0rc8a

* Sun Feb  2 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.0-0.7.1m)
- update to 0.9.0rc7

* Tue Nov 19 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.0-0.6.1m)
- 0.9.0rc6

* Thu Oct 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.0-0.5.1m)
- 0.9.0rc5

* Thu Aug 22 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (0.9.0-0.3.1m)
- upgrade to 0.9.0rc3
- based on patch in devel.ja:00342

* Sat Dec  1 2001 Toru Hoshina <t@kondara.org>
- (0.5.10-4k)
- No docs could be excutable :-p

* Sun Dec 10 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (0.5.10-3k)
- update to 0.5.10

* Mon Sep 25 2000 Toru Hoshina <t@kondara.org>
- (0.5.9b-0k)
- Version up 0.5.9 -> 0.5.9b

* Thu Aug 10 2000 AYUHANA Tomonori <l@kondara.org>
- (0.5.9-1k)
- Version up 0.5.8 -> 0.5.9

* Tue Jun  6 2000 AYUHANA Tomonori <l@kondara.org>
- Version up 0.5.7 -> 0.5.8
- add -q at %setup
- use %configure

* Thu Apr  9 2000 Toru Hoshina <t@kondara.org>
- Version up 0.5.6 -> 0.5.7

* Wed Mar 15 2000 MATSUDA, Daiki <dyky@df-usa.com>
- Version up 0.5.5 -> 0.5.6

* Thu Mar  2 2000 Toru Hoshina <t@kondara.org>
- Version up 0.5.4 -> 0.5.5

* Sun Feb 27 2000 Toru Hoshina <t@kondara.org>
- Version up 0.4.1e -> 0.5.4

* Sat Jan 29 2000 Toru Hoshina <t@kondara.org>
- stripped. (*^_^*)

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Mon May 28 1998 Helge Jensen <slog@slog.dk>
- Made SPEC file
